program Typ_Deklaration_einf_Variable
  implicit none
  integer :: i
  real :: x
  double precision :: x2
  complex :: c
  logical :: l
  character(len=14) :: Text
  i=3; x=1.0/7.0; x2=1.0d0/7.0d0; c=(3.2,-4.1); l=.true.; Text='FORTRANuMATLAB'
  write(*,fmt=*) i,x,x2,c
  write(*,fmt=*) l,' ',Text
  !Ergebnis:  3,  0.142857149,  0.14285714285714285,  (3.20000005,-4.0999999)  
  !           T FORTRANuMATLAB
end program Typ_Deklaration_einf_Variable 
